[Résolu] Problème avec la version 15.02 sur Xubuntu 14.04

Pour les problèmes liés à l'installation et au fonctionnement de Pyromaths.

Modérateur: Développeurs

[Résolu] Problème avec la version 15.02 sur Xubuntu 14.04

Messagede Kayowas » Dim 01 Mar 2015, 02:32

Bonjour à tous,

Tout d'abord, félicitations aux concepteurs de ce superbe programme, que je viens de découvrir et qui va certainement m'être très utile.
Je rencontre toutefois un problème avec la dernière version de Pyromath sous Xubuntu Trusty 14.04.
J'ai commencé par installer la version des dépôts officiels, qui fonctionnait normalement. Voulant bénéficier de la dernière version en date, j'ai désinstallé complètement et réinstallé Pyromaths en suivant la procédure "Pour Debian" de cette page :
http://www.pyromaths.org/installer/inst ... ion-linux/
Après la configuration des dépôts, l'installation se passe sans problème, puis le programme se lance aussi normalement, et je peux vérifier dans Aide - A propos, qu'il s'agit bien de la version 15.02.
Mais lorsque je veux créer une fiche d'exercices, après avoir désigné l'emplacement des fichiers d'exercice et de correction, je reçois le message d'erreur suivant : Impossible de détecter le schéma URL de « exercices.pdf », suivi de l'ouverture du fichier exercice-corrige.pdf totalement vide (une page blanche).

Est-ce que quelqu'un pourrait m'apporter son aide ou suis-je condamner à utiliser la vieille version des dépôts officiels ?

Merci d'avance pour votre aide !
Kayowas
 

Re: Problème avec la version 15.02 sur Xubuntu Trusty 14.04

Messagede Jérôme » Dim 01 Mar 2015, 11:45

Bonjour,
je pense qu'il manque un paquet pour texlive que je n'ai pas inséré dans la liste des dépendances. Quoiqu'il en soit, tu n'es pas condamné à utiliser la vieille version de Pyromaths, car je tourne sur le même os que toi. :)
Essaie d'installer les paquets suivants :
sudo apt-get install asymptote texlive-pictures latexmk

et dis nous si c'est mieux, auquel cas je l'ajouterai dans la liste des dépendances pour la prochaine version.
Si ça ne fonctionne toujours pas, pourrais-tu coller ici le contenu du fichier exercices-pyromaths.log qui devrait nous informer de ce qui ne va pas.
Bon dimanche.
Pyromaths génère des fiches d'exercices et leur corrigé en toute simplicité.
Un programme multi-plateformes libre et gratuit sous licence GPL
Avatar de l’utilisateur
Jérôme
Administrateur - Site Admin
 
Messages: 1062
Inscription: Sam 26 Aoû 2006, 13:10
Localisation: Nantes

Re: Problème avec la version 15.02 sur Xubuntu Trusty 14.04

Messagede Kayowas » Lun 02 Mar 2015, 01:09

Bonjour,

Merci beaucoup pour ton aide. Je viens d'essayer à l'instant d'installer les paquets. Pas de problème pendant l'installation. En revanche, à la création d'une fiche, même message d'erreur : Impossible de détecter le schéma URL de « exercices.pdf », puis ouverture du fichier exercice-corrige.pdf, qui à présent n'est plus vide ! Le corrigé est bien présent, avec juste un truc bizarre, c'est l'inscription StandardItemLabels avant le titre "Corrigé de l'exercice 1", puis le reste du corrigé suit normalement.
Voici le contenu du fichier exercices-pyromaths.log mais je ne pense pas que cela aide beaucoup :

This is pdfTeX, Version 3.1415926-2.5-1.40.14 (TeX Live 2013/Debian)
\write18 enabled.
entering extended mode
This is pdfTeX, Version 3.1415926-2.5-1.40.14 (TeX Live 2013/Debian)
\write18 enabled.
entering extended mode
This is pdfTeX, Version 3.1415926-2.5-1.40.14 (TeX Live 2013/Debian)
\write18 enabled.
entering extended mode
Latexmk: Examining log file 'exercices-corrige.log' for generated files...

Le contenu du fichier exercices.log semble plus intéressant mais sa taille est trop importante pour que je copie tout ici. En revanche voici quelques messages d'erreurs que j'ai pu y trouver :

! Package babel Error: Unknown option `frenchb'. Either you misspelled it
(babel) or the language definition file frenchb.ldf was not foun
d.

! Package babel Error: You haven't specified a language option.

! LaTeX Error: Missing \begin{document}.

! Package babel Error: Unknown language `english'. Either you have
(babel) misspelled its name, it has not been installed,
(babel) or you requested it in a previous run. Fix its name,
(babel) install it or just rerun the file, respectively.

Voilà ! J'espère que ça pourra t'éclairer... Encore merci pour ton aide !
Kayowas
 

Re: Problème avec la version 15.02 sur Xubuntu Trusty 14.04

Messagede Jérôme » Lun 02 Mar 2015, 22:06

Bon, on avance.
Peux-tu essayer d'installer le paquet suivant également :
sudo apt-get install texlive-lang-french
Pyromaths génère des fiches d'exercices et leur corrigé en toute simplicité.
Un programme multi-plateformes libre et gratuit sous licence GPL
Avatar de l’utilisateur
Jérôme
Administrateur - Site Admin
 
Messages: 1062
Inscription: Sam 26 Aoû 2006, 13:10
Localisation: Nantes

Re: Problème avec la version 15.02 sur Xubuntu Trusty 14.04

Messagede Kayowas » Lun 02 Mar 2015, 23:35

On dirait bien que ça marche ! :D
Super ! Merci beaucoup pour ton aide !
Je ne sais pas comment je peux mettre le sujet en résolu.
Encore merci !
Kayowas
 

Re: Problème avec la version 15.02 sur Xubuntu Trusty 14.04

Messagede Jérôme » Lun 02 Mar 2015, 23:47

Super ! :)
Édite le titre de ton premier message pour le passer en résolu.
Pyromaths génère des fiches d'exercices et leur corrigé en toute simplicité.
Un programme multi-plateformes libre et gratuit sous licence GPL
Avatar de l’utilisateur
Jérôme
Administrateur - Site Admin
 
Messages: 1062
Inscription: Sam 26 Aoû 2006, 13:10
Localisation: Nantes

Re: Problème avec la version 15.02 sur Xubuntu Trusty 14.04

Messagede Kayowas » Mar 03 Mar 2015, 00:05

J'ai créé ce message en tant que visiteur sans m'enregistrer, alors je ne pense pas pouvoir l'éditer...
Kayowas
 


Retourner vers Installation et fonctionnement

Qui est en ligne

Utilisateurs parcourant ce forum: Aucun utilisateur enregistré et 5 invités

cron